<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__spi__general__functions" kind="group">
    <compoundname>group_scb_spi_general_functions</compoundname>
    <title>General</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__scb__spi__general__functions_1gabe68169c810119b93e1164127663033c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__scb__spi__enums_1ga8ad22e7a296b64de0d41c983979d53b3">cy_en_scb_spi_status_t</ref></type>
        <definition>cy_en_scb_spi_status_t Cy_SCB_SPI_Init</definition>
        <argsstring>(CySCB_Type *base, cy_stc_scb_spi_config_t const *config, cy_stc_scb_spi_context_t *context)</argsstring>
        <name>Cy_SCB_SPI_Init</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__spi__config__t">cy_stc_scb_spi_config_t</ref> const *</type>
          <declname>config</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__spi__context__t">cy_stc_scb_spi_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Initializes the SCB for SPI operation. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SPI SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the configuration structure <ref kindref="compound" refid="structcy__stc__scb__spi__config__t">cy_stc_scb_spi_config_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__spi__context__t">cy_stc_scb_spi_context_t</ref> allocated by the user. The structure is used during the SPI operation for internal configuration and data retention. The user must not modify anything in this structure. If only SPI <ref kindref="member" refid="group__group__scb__spi_1group_scb_spi_ll">Low-Level API</ref> will be used pass NULL as pointer to context.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__scb__spi__enums_1ga8ad22e7a296b64de0d41c983979d53b3">cy_en_scb_spi_status_t</ref></para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Ensure that the SCB block is disabled before calling this function. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="149" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_spi.c" bodystart="65" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="564" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__spi__general__functions_1ga489376927f6720ad4ea5b6dd1efb4fe0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_SPI_DeInit</definition>
        <argsstring>(CySCB_Type *base)</argsstring>
        <name>Cy_SCB_SPI_DeInit</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>De-initializes the SCB block; returns the register values to default. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SPI SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Ensure that the SCB block is disabled before calling this function. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="186" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_spi.c" bodystart="165" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="566" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__spi__general__functions_1ga7e5d7cb17044cdd8ab1543e038bf89a8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_SPI_Enable</definition>
        <argsstring>(CySCB_Type *base)</argsstring>
        <name>Cy_SCB_SPI_Enable</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Enables the SCB block for the SPI operation. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SPI SCB instance. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="863" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="860" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="567" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__spi__general__functions_1ga01fcd87713fe370d94828563ff1e86b8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_SPI_Disable</definition>
        <argsstring>(CySCB_Type *base, cy_stc_scb_spi_context_t *context)</argsstring>
        <name>Cy_SCB_SPI_Disable</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__spi__context__t">cy_stc_scb_spi_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Disables the SCB block, clears context statuses, and disables TX and RX interrupt sources. </para>        </briefdescription>
        <detaileddescription>
<para>Note that after the block is disabled, the TX and RX FIFOs and hardware statuses are cleared. Also, the hardware stops driving the output and ignores the input. Refer to section <ref kindref="member" refid="group__group__scb__spi_1group_scb_spi_lp">Low Power Support</ref> for more information about SPI pins when SCB disabled.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SPI SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__spi__context__t">cy_stc_scb_spi_context_t</ref> allocated by the user. The structure is used during the SPI operation for internal configuration and data retention. The user must not modify anything in this structure. If only SPI functions that do not require context will be used to pass NULL as pointer to context.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Calling this function when the SPI is busy (master preforms data transfer or slave communicates with the master) may cause transfer corruption because the hardware stops driving the outputs and ignores the inputs. Ensure that the SPI is not busy before calling this function. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="239" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_spi.c" bodystart="218" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="568" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__spi__general__functions_1gaa94d2ec7eb38573274587eeff5635288" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_SPI_SetActiveSlaveSelect</definition>
        <argsstring>(CySCB_Type *base, cy_en_scb_spi_slave_select_t slaveSelect)</argsstring>
        <name>Cy_SCB_SPI_SetActiveSlaveSelect</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__scb__spi__enums_1ga65ae7c131e5e5cae3327aeb6ac870488">cy_en_scb_spi_slave_select_t</ref></type>
          <declname>slaveSelect</declname>
        </param>
        <briefdescription>
<para>Selects an active slave select line from one of four available. </para>        </briefdescription>
        <detaileddescription>
<para>This function is applicable for the master and slave.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SPI SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>slaveSelect</parametername>
</parameternamelist>
<parameterdescription>
<para>The slave select line number. See <ref kindref="member" refid="group__group__scb__spi__enums_1ga65ae7c131e5e5cae3327aeb6ac870488">cy_en_scb_spi_slave_select_t</ref> for the set of constants.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The SCB must be idle or disabled before calling this function. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="924" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="919" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="570" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__spi__general__functions_1ga1473d59d9fe1fbe9a981a2af34c6904d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_SPI_SetActiveSlaveSelectPolarity</definition>
        <argsstring>(CySCB_Type *base, cy_en_scb_spi_slave_select_t slaveSelect, cy_en_scb_spi_polarity_t polarity)</argsstring>
        <name>Cy_SCB_SPI_SetActiveSlaveSelectPolarity</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__scb__spi__enums_1ga65ae7c131e5e5cae3327aeb6ac870488">cy_en_scb_spi_slave_select_t</ref></type>
          <declname>slaveSelect</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__scb__spi__enums_1gac1d52a37938101b62b908fb4263d98a2">cy_en_scb_spi_polarity_t</ref></type>
          <declname>polarity</declname>
        </param>
        <briefdescription>
<para>Sets the active polarity for the slave select line. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SPI SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>slaveSelect</parametername>
</parameternamelist>
<parameterdescription>
<para>The slave select line number. See <ref kindref="member" refid="group__group__scb__spi__enums_1ga65ae7c131e5e5cae3327aeb6ac870488">cy_en_scb_spi_slave_select_t</ref> for the set of constants.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>polarity</parametername>
</parameternamelist>
<parameterdescription>
<para>The polarity of the slave select line. See <ref kindref="member" refid="group__group__scb__spi__enums_1gac1d52a37938101b62b908fb4263d98a2">cy_en_scb_spi_polarity_t</ref> for the set of constants.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The SCB must be idle or disabled before calling this function. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="965" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="948" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="572" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__spi__general__functions_1ga4241f6166816159f7365220834a5e0d0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_SCB_SPI_IsBusBusy</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_SPI_IsBusBusy</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns whether the SPI bus is busy or not. </para>        </briefdescription>
        <detaileddescription>
<para>The bus busy is determined using the slave select signal.<itemizedlist>
<listitem><para>Motorola and National Semiconductor sub-modes: the bus is busy after the slave select line is activated and lasts until the slave select line is deactivated.</para></listitem><listitem><para>Texas Instrument sub-modes: The bus is busy the moment of the initial pulse on the slave select line and lasts until the transfer is complete (all bytes from the TX FIFO area shifted-out on the bus).</para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SPI SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>True - the bus is busy; false - the bus is idle.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;&lt;ul&gt;&lt;li&gt;&lt;p&gt;The SPI master does not assign the slave select line immediately after the first data element is written into the TX FIFO. It takes up to two SCLK clocks to assign the slave select line. Before this happens, the bus is considered idle.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;If the SPI master is configured to transmit each data element separated by a de-assertion of the slave select line, the bus is busy during each element transfer and is free between them. &lt;/p&gt;&lt;/li&gt;&lt;/ul&gt;&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="898" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="895" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="576" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>